Pricefx REST API Reference
The Pricefx Backend API
Download OpenAPI description
Overview
URL
Pricefx
Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}
Request
Returns a slot ID that is needed for the /bdmanager.upload/{typedId}/{slot_id}, or /productimages.upload/{slot_id}/{sku} (Upload a File) endpoint. Same behavior and response as GET /uploadmanager.newuploadslot.
Information
To upload a file you need to perform the following actions:
- Create an Upload Slot
- Upload a File
- Delete an Upload Slot
Security
basic or X-PriceFx-jwt
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.newuploadslot
- URL:https://companynode.pricefx.com/pricefx/companypartition/uploadmanager.newuploadslot
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.newuploadslot?ownerTypedId=string'Response
application/json
{ "response": { "data": [ … ], "status": 0 } }
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/bdmanager.upload/{typedId}/{slotId}
- URL:https://companynode.pricefx.com/pricefx/companypartition/bdmanager.upload/{typedId}/{slotId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/bdmanager.upload/{typedId}/{slotId}' \
-H 'Content-Type: multipart/form-data' \
-F file=stringResponse
application/json
{ "response": { "node": "pricefx-cluster-app-frontend-8dbb5b975-rvc75", "data": [ … ], "status": 0 } }
Request
Deletes the upload slot that has been created using the /uploadmanager.newuploadslot (Create an Upload Slot) method and retrieves the file upload status, file version and other details.
Information
To upload a file you need to perform the following actions:
- Create an Upload Slot
- Upload a File
- Delete an Upload Slot
Security
basic or X-PriceFx-jwt
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.deleteslot/{slot_id}
- URL:https://companynode.pricefx.com/pricefx/companypartition/uploadmanager.deleteslot/{slot_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.deleteslot/2665Response
application/json
{ "response": { "node": "string", "csrfToken": "string", "data": [ … ], "status": 0 } }
CommentsCopy for LLM Copy page as Markdown for LLMs View as Markdown Open this page as Markdown Open in ChatGPT Get insights from ChatGPT Open in Claude Get insights from Claude Connect to Cursor Install MCP server on Cursor Connect to VS Code Install MCP server on VS Code